package com.ruoyi.frequency.worksshield.service;

import java.util.List;
import com.ruoyi.frequency.worksshield.entity.WorksShield;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.response.ResponseData;
import com.ruoyi.vo.UserVo;

/**
 * 作品屏蔽Service接口
 * 
 * @author liwenlong
 * @date 2023-11-30
 */
public interface WorksShieldService extends IService<WorksShield>
{
    /**
     * 查询作品屏蔽
     * 
     * @param id 作品屏蔽主键
     * @return 作品屏蔽
     */
    public WorksShield selectWorksShieldById(Long id);

    /**
     * 查询作品屏蔽列表
     * 
     * @param worksShield 作品屏蔽
     * @return 作品屏蔽集合
     */
    public List<WorksShield> selectWorksShieldList(WorksShield worksShield);

    /**
     * 新增作品屏蔽
     * 
     * @param worksShield 作品屏蔽
     * @return 结果
     */
    public int insertWorksShield(WorksShield worksShield);

    /**
     * 修改作品屏蔽
     * 
     * @param worksShield 作品屏蔽
     * @return 结果
     */
    public int updateWorksShield(WorksShield worksShield);

    /**
     * 批量删除作品屏蔽
     * 
     * @param ids 需要删除的作品屏蔽主键集合
     * @return 结果
     */
    public int deleteWorksShieldByIds(Long[] ids,Integer delFlag);

    ResponseData worksShield(Long id, UserVo userVo);

    /**
     * 用户屏蔽的作品ids
     * @param userVo
     * @return
     */
    List<Long> shieldWorksList(UserVo userVo);
}
